Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I tried to install application that worked on win 95 and windows xp and got error on windows 7 (x64):

The version of this file is not compatible with the version of Windows you're running. Check your computer's system information to see whether you need an x86 (32-bit) or x64 (64-bit) version of the program, and then contact the software publisher.

So settings did not help me.

enter image description here

Could anyone explain: can I run so application on Windows 7 (x64).

share|improve this question

migrated from serverfault.com Nov 4 '11 at 21:25

This question came from our site for professional system and network administrators.

3  
It completely depends on the application. Depending on the application, it may not be possible to get it to work at all. You may have to use XP mode (a Windows XP virtual machine). –  Zoredache Nov 4 '11 at 21:07

2 Answers 2

up vote 7 down vote accepted

It sounds like this might be a 16-bit application. While 16-bit applications are supported on 32-bit XP, they are not supported on 64-bit systems:

64-bit versions of Windows do not support 16-bit components, 16-bit processes, or 16-bit applications

share|improve this answer
    
+1 for the right answer. That's exactly what that message indicates. –  JdeBP Nov 5 '11 at 1:15
    
accepted. thank you. –  igor Nov 5 '11 at 16:10

Basically on you will probably not be able to run your application on native Win 7, and as you have found that the compatibility are not totally useful.

You can try: (1) XP mode which can be freely obtained for running XP applications under Win 7, also (2) Load up an XP host on Oracle Virtual Box and then try your application finally there is (3) loading up an XP host on VMWare Workstation (cost $$) and try your application. No guarantees on any of these because it depends a lot on the application construction itself.

share|improve this answer
    
My application (game) requires DirectX to be installed. Game shipped with DX 2.0. My Win 7 has 6.0. By the way I have installed my game on VMWare machine (Vista), but I cannot install old directX on virtual machine. Weird situation. –  igor Nov 4 '11 at 21:55
1  
Win7 have DirectX 11, which is backward compatible with DirectX 9, which have WinXP, which can play your game. BTW, only Win95 OSR2 had DirectX 2.0a from 5 June 1996. Install WinXP in VM and nothing more –  Lazy Badger Nov 5 '11 at 6:28

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.